[gnome-epub-thumbnailer/jjardon/autoreconf] Use upstream autoreconf instead gnome-common



commit 06947404d8660becc7f4665e7409964862704f4b
Author: Javier Jardón <jjardon gnome org>
Date:   Fri Aug 2 14:24:45 2019 +0100

    Use upstream autoreconf instead gnome-common
    
    There is not a direct replacement for
    GNOME_COMPILE_WARNINGS([maximum]), we can use
    AX_COMPILER_FLAGS([WARN_CFLAGS],[WARN_LDFLAGS]) but that enables
    Werror by default so I think is better to resolve that in a
    separate commit

 autogen.sh   | 42 ++++++++++++++++++++++++++++++------------
 configure.ac |  5 +++--
 2 files changed, 33 insertions(+), 14 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index bc4d073..d9d12ec 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,20 +1,38 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
 
-PKG_NAME="gnome-epub-thumbnailer"
+cd $srcdir
 
-(test -f $srcdir/configure.ac) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+        exit 1
 }
 
-which gnome-autogen.sh || {
-       echo "You need to install gnome-common from the GNOME git"
-       exit 1
-}
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** '$0' command line." >&2
+        echo "" >&2
+fi
+
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
 
-REQUIRED_PKG_CONFIG_VERSION=0.17.1 REQUIRED_AUTOMAKE_VERSION=1.9 USE_GNOME2_MACROS=1 . gnome-autogen.sh
+        if [ "$1" = "--help" ]; then
+                exit 0
+        else
+                echo "Now type 'make' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
diff --git a/configure.ac b/configure.ac
index 33f1ad7..c0795a6 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,6 +1,9 @@
 AC_PREREQ(2.59)
 
 AC_INIT([gnome-epub-thumbnailer], [1.5], [hadess hadess net])
+
+AC_CONFIG_MACRO_DIR([m4])
+
 AM_INIT_AUTOMAKE(1.9 dist-xz no-dist-gzip check-news)
 
 # Enable silent build when available (Automake 1.11)
@@ -12,8 +15,6 @@ AC_PROG_INSTALL
 AC_PROG_SED
 AM_PROG_CC_C_O
 
-GNOME_COMPILE_WARNINGS([maximum])
-
 PKG_CHECK_MODULES(THUMBNAILER, gdk-pixbuf-2.0 gio-2.0 libarchive libxml-2.0)
 
 AC_CONFIG_FILES([Makefile])


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]